Re-deploy monitoring for a GTM domain from its stored selection
POST
/v1/integrations/gtm/redeploy
const url = 'https://api.monita.ai/v1/integrations/gtm/redeploy';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"domainId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monita.ai/v1/integrations/gtm/redeploy \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "domainId": "example" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
domainId
required
string
Examplegenerated
{ "domainId": "example"}Responses
Section titled “Responses”Redeployed
Media typeapplication/json
object
deployed
required
boolean
workspacePath
required
string
workspaceName
required
string
workspaceCreated
required
boolean
template
required
string
tag
required
string
monitoredTags
required
number
Example
{ "template": "new", "tag": "new"}Domain or stored selection not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Not connected / not configured
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}